package cn.superdesk.uniorder.service.marketing.department.impl;

import cn.superdesk.uniorder.dao.entity.marketing.department.UnifiedAreaCityVirt;
import cn.superdesk.uniorder.dao.mapper.marketing.department.UnifiedAreaCityVirtMapper;
import cn.superdesk.uniorder.dao.mapper.marketing.department.UnifiedAreaCityVirtMapperEx;
import cn.superdesk.uniorder.dto.vo._function.select.SelectOptionVirt;
import cn.superdesk.uniorder.service.marketing.department.UnifiedAreaCityVirtService;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 2020/11/24 下午5:35
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020/11/24 下午5:35
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Service
public class UnifiedAreaCityVirtServiceImpl implements UnifiedAreaCityVirtService {


    @Autowired
    private UnifiedAreaCityVirtMapper   unifiedAreaCityVirtMapper;
    @Autowired
    private UnifiedAreaCityVirtMapperEx unifiedAreaCityVirtMapperEx;

    @Override
    public PageInfo<UnifiedAreaCityVirt> findByPaging(Map<String, Object> params, Integer pageNo, Integer pageSize) {

        return null;
    }

    @Override
    public void deleteObj(Long id) {

        unifiedAreaCityVirtMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(UnifiedAreaCityVirt t) {

        return unifiedAreaCityVirtMapper.updateByPrimaryKeySelective(t);
    }

    @Override
    public UnifiedAreaCityVirt findById(Long id) {

        return unifiedAreaCityVirtMapper.selectByPrimaryKey(id);
    }

    @Override
    public int insertSelective(UnifiedAreaCityVirt t) {

        return unifiedAreaCityVirtMapper.insertSelective(t);
    }

    @Override
    public List<UnifiedAreaCityVirt> findAll(Map<String, Object> queryMap) {

        return null;
    }

    @Override
    public List<SelectOptionVirt> getVirtAll(Map<String, Object> params) {

        return unifiedAreaCityVirtMapperEx.getVirtAll(params);
    }

}
